const system = require("../../../system");
const settings = require("../../../../config/settings");
const uiconfig = system.getUiConfig2(settings.appKey);
module.exports = (db, DataTypes) => {
  return db.define("order", {
    merchant_id: DataTypes.BIGINT,
    orderNo: DataTypes.STRING(64),
    channelOrderNo: DataTypes.STRING(64),
    legalName: DataTypes.STRING(20),
    legalMobile: DataTypes.STRING(20),
    legalImg: DataTypes.STRING(300),
    idcard: DataTypes.STRING(20),
    idcardFront: DataTypes.STRING(300),
    idcardBack: DataTypes.STRING(300),
    bankNo: DataTypes.STRING(30),
    bank: DataTypes.STRING(200),
    names: DataTypes.STRING(300),
    businessScope: DataTypes.STRING(500),
    capital: DataTypes.STRING(100),
    status: DataTypes.STRING(20),//订单状态  00待处理 10出执照 20已刻章 30银行开户 40税务报道 50已邮寄
    notes: DataTypes.STRING,//备注
    opNotes: DataTypes.STRING,//操作备注
  }, {
      paranoid: true, //假的删除
      underscored: true,
      version: true,
      freezeTableName: true,
      //freezeTableName: true,
      // define the table's name
      tableName: 'xgg_order',
      validate: {},
      indexes: [
        // Create a unique index on email
        //  {
        //    unique: true,
        //    fields: ['email']
        //  },
        //
        //  // Creates a gin index on data with the jsonb_path_ops operator
        //  {
        //    fields: ['data'],
        //    using: 'gin',
        //    operator: 'jsonb_path_ops'
        //  },
        //
        //  // By default index name will be [table]_[fields]
        //  // Creates a multi column partial index
        //  {
        //    name: 'public_by_author',
        //    fields: ['author', 'status'],
        //    where: {
        //      status: 'public'
        //    }
        //  },
        //
        //  // A BTREE index with a ordered field
        //  {
        //    name: 'title_index',
        //    method: 'BTREE',
        //    fields: ['author', {attribute: 'title', collate: 'en_US', order: 'DESC', length: 5}]
        //  }
      ]
    });
}